<div class="container">
    <div id="contenido" class="container text-center">
        <h3 class="my-3 text-center">Datos adicionales</h3>
        <!--Calle numero colonia zip city edo. -->
        <div class="row">
            <div class="col-6 mx-auto my-3">
            </div>
        </div>
        <div class="row row-section" *ngFor ="let dato of this.datos;">
            <div class="col-md-12">
                <div class="form-group text-left">
                    <label class="text-input">{{dato}}</label>
                    <input  autocomplete="off" class="form-control"  type="text" id="{{dato}}" maxlength="25"
                    oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" (keyup.enter)="aceptar()">
                </div>
            </div>
        </div>
        
        <small class="form-text text-muted" id="errorGeneral" *ngIf="errorGeneral">Todos los campos son obligatorios</small> 

        <p class="my-3">
            <button type="button"  class="btn btn-lg btn-block btn-danger mr-3 btnUrl btnPrimary" (click)="aceptar()" id="validarBoton"
            [style.background-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.color]="getColorLabel()">Continuar</button>
        </p>                       
    </div>
</div>